---
title: Install Vector via Window Installer
sidebar_label: MSI
description: Install Vector through the Windows Installer
---

Vector can be installed from an MSI package through the Windows Installer.


import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/setup/installation/package-managers/msi.md.erb
-->

## Install

<Tabs
  block={true}
  defaultValue="x86_64"
  urlKey="arch"
  values={[{"label":"x86_64","value":"x86_64"}]}>


<TabItem value="x86_64">

1.  Download the Vector `.msi` file:

    <Tabs
      className="mini"
      defaultValue="latest"
      values={[
        { label: 'Latest (0.8.2)', value: 'latest'},
        { label: 'Nightly', value: 'nightly'},
      ]}>

    <TabItem value="latest">

    ```bat
    powershell Invoke-WebRequest https://packages.timber.io/vector/0.8.X/vector-x64.msi -OutFile vector-x64.msi
    ```

    </TabItem>
    <TabItem value="nightly">

    ```bat
    powershell Invoke-WebRequest https://packages.timber.io/vector/nightly/latest/vector-x64.msi -OutFile vector-x64.msi
    ```

    </TabItem>
    </Tabs>

2.  Install the Vector `.msi` package using `msiexec` command:

    ```bat
    msiexec /i vector-x64.msi /quiet
    ```
3.  Navigate to the Vector directory:

    ```bat
    cd "C:\Program Files\Vector"
    ```

4.  Start Vector:

    ```bat
    .\bin\vector --config config\vector.toml
    ```

    That's it! Proceed to [configure](#configuring) Vector for your use case.

</TabItem>


</Tabs>

### Previous Versions

Historical Vector versions can be found in the [releases][urls.vector_releases].
Once you've found the version you'd like to install you can re-follow the
[install](#install) steps with the URL to the Vector `.msi` file.

## Configuring

The Vector configuration file is placed in:

```
%ProgramFiles%\Vector\config\vector.toml
```

A full spec is located at `%ProgramFiles%\Vector\config\vector.spec.toml` and examples are
located in `%ProgramFiles%\Vector\config\examples\*`. You can learn more about configuring
Vector in the [Configuration][docs.configuration] section.

## Administering

Vector can be managed as a [Windows Service][urls.windows_service]:

import Jump from '@site/src/components/Jump';

<Jump to="/docs/administration/">Administration</Jump>

## Uninstalling

```bat
msiexec /x {7FAD6F97-D84E-42CC-A600-5F4EC3460FF5} /quiet
```

## Updating

Follow the [install](#install) steps again, downloading the latest version of
Vector.


[docs.configuration]: /docs/setup/configuration/
[urls.vector_releases]: https://vector.dev/releases/latest
[urls.windows_service]: https://docs.microsoft.com/en-us/powershell/module/microsoft.powershell.management/new-service
